Skip to main content

List countries

GET 

/api/v2/numbers/countries

Retrieve a list of all countries where DID numbers are available.

When to use:

  • Building country selection interface
  • Checking number availability by country
  • Starting the DID purchase flow

countries[].id feeds numbers_countries_cities_index, numbers_countries_regions_index, numbers_countries_locations_index and numbers_countries_cities_dids_index (country_id). countries[].name feeds numbers_search_show (country_name_contains). A country with has_provinces_or_states true lists its states in numbers_countries_regions_index.

Responses​

returns list of available countries